Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ColumnsTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              org.richfaces.taglib.ColumnsTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ColumnsTag

extends javax.faces.webapp.UIComponentClassicTagBase
implements javax.servlet.jsp.tagext.IterationTag

Author:
  Andrey

Field Summary
`protected ForEachIterator` | `items` Iterator for columns's tag value attribute
`protected java.lang.Object` | `rawItems` Value attribute value

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from class javax.faces.webapp.UIComponentTagBase
`log`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Constructor Summary
`ColumnsTag()` Default constructor for AbstractColumnsTag class

Method Summary
`protected void` | `addFacet(java.lang.String name)`
`protected javax.faces.component.UIComponent` | `createComponent(javax.faces.context.FacesContext context, java.lang.String newId)`
`int` | `doAfterBody()`
`int` | `doEndTag()`
`void` | `doFinally()` Removes any attributes that this LoopTagSupport set.
`void` | `doInitBody()`
`int` | `doStartTag()`
`javax.el.ValueExpression` | `getBegin()`
`javax.servlet.jsp.tagext.BodyContent` | `getBodyContent()`
`javax.el.ValueExpression` | `getColumns()`
`javax.faces.component.UIComponent` | `getComponentInstance()` Return the `UIComponent` instance that is associated with this tag instance.
`java.lang.String` | `getComponentType()`
`protected java.lang.String` | `getDelims()`
`javax.el.ValueExpression` | `getEnd()`
`javax.el.ValueExpression` | `getIndex()`
`java.lang.String` | `getRendererType()`
`protected boolean` | `hasBinding()`
`void` | `setBegin(javax.el.ValueExpression begin)`
`void` | `setBinding(javax.el.ValueExpression binding)` Set the value expression for our component.
`void` | `setBreakBefore(javax.el.ValueExpression __breakBefore)` if "true" next column begins from the first row Setter for breakBefore
`void` | `setColspan(javax.el.ValueExpression __colspan)` Corresponds to the HTML colspan attribute Setter for colspan
`void` | `setColumns(javax.el.ValueExpression columns)`
`void` | `setComparator(javax.el.ValueExpression __comparator)` Setter for comparator
`void` | `setDir(javax.el.ValueExpression dir)` Sets dir attr
`void` | `setEnd(javax.el.ValueExpression end)`
`void` | `setFilterBy(javax.el.ValueExpression __filterBy)` Setter for filterBy
`void` | `setFilterDefaultLabel(javax.el.ValueExpression __filterDefaultLabel)` Setter for filterDefaultLabel
`void` | `setFilterEvent(javax.el.ValueExpression __filterEvent)` Event for filter input that forces the filtration (default = onchange) Setter for filterEvent
`void` | `setFilterExpression(javax.el.ValueExpression __filterExpression)` Attribute defines a bean property which is used for filtering of a column Setter for filterExpression
`void` | `setFilterMethod(javax.el.MethodExpression __filterMethod)` Setter for filterMethod
`void` | `setFilterValue(javax.el.ValueExpression __filterValue)` Setter for filterValue
`void` | `setFooterClass(javax.el.ValueExpression __footerClass)` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
`void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
`void` | `setIndex(javax.el.ValueExpression index)`
`void` | `setPageContext(javax.servlet.jsp.PageContext pageContext)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRendered(javax.el.ValueExpression rendered)` Set an override for the rendered attribute.
`void` | `setRowspan(javax.el.ValueExpression __rowspan)` Corresponds to the HTML rowspan attribute Setter for rowspan
`void` | `setSelfSorted(javax.el.ValueExpression __selfSorted)` Setter for selfSorted
`void` | `setSortable(javax.el.ValueExpression __sortable)` Boolean attribute.
`void` | `setSortBy(javax.el.ValueExpression __sortBy)` Attribute defines a bean property which is used for sorting of a column Setter for sortBy
`void` | `setSortExpression(javax.el.ValueExpression __sortExpression)` Attribute defines a bean property which is used for sorting of a column Setter for sortExpression
`void` | `setSortOrder(javax.el.ValueExpression __sortOrder)` SortOrder is an enumeration of the possible sort orderings.
`void` | `setStyle(javax.el.ValueExpression __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(javax.el.ValueExpression __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value
`void` | `setVar(javax.el.ValueExpression __var)` A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
`void` | `setWidth(javax.el.ValueExpression __width)` Attribute defines width of column.

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, encodeBegin, encodeChildren, encodeEnd, findComponent, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, release, setBodyContent, setId, setJspId, setParent, setupResponseWriter`

Methods inherited from class javax.faces.webapp.UIComponentTagBase
`getELContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, release, setParent`

Field Detail

### items

    protected ForEachIterator items

  Iterator for columns's tag value attribute

### rawItems

    protected java.lang.Object rawItems

  Value attribute value

Constructor Detail

### ColumnsTag

    public ColumnsTag()

  Default constructor for AbstractColumnsTag class

Method Detail

### getComponentInstance

    public javax.faces.component.UIComponent getComponentInstance()

  Return the `UIComponent` instance that is associated with this tag instance. This method is designed to be used by tags nested within this tag, and only returns useful results between the execution of `doStartTag()` and `doEndTag()` on this tag instance.

  Overrides:
    `getComponentInstance` in class `javax.faces.webapp.UIComponentClassicTagBase`

### setDir

    public void setDir(javax.el.ValueExpression dir)

  Sets dir attr

  Parameters:
    `dir` -

### setStyle

    public void setStyle(javax.el.ValueExpression __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### setBreakBefore

    public void setBreakBefore(javax.el.ValueExpression __breakBefore)

  if "true" next column begins from the first row Setter for breakBefore

  Parameters:
    `breakBefore` - - new value

### setColspan

    public void setColspan(javax.el.ValueExpression __colspan)

  Corresponds to the HTML colspan attribute Setter for colspan

  Parameters:
    `colspan` - - new value

### createComponent

    protected javax.faces.component.UIComponent createComponent(javax.faces.context.FacesContext context,
                                                                java.lang.String newId)
                                                         throws javax.servlet.jsp.JspException

  Specified by:
    `createComponent` in class `javax.faces.webapp.UIComponentClassicTagBase`
  Throws:
    `javax.servlet.jsp.JspException`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

### setFooterClass

    public void setFooterClass(javax.el.ValueExpression __footerClass)

  Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass

  Parameters:
    `footerClass` - - new value

### setHeaderClass

    public void setHeaderClass(javax.el.ValueExpression __headerClass)

  Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass

  Parameters:
    `headerClass` - - new value

### setRowspan

    public void setRowspan(javax.el.ValueExpression __rowspan)

  Corresponds to the HTML rowspan attribute Setter for rowspan

  Parameters:
    `rowspan` - - new value

### setSortExpression

    public void setSortExpression(javax.el.ValueExpression __sortExpression)

  Attribute defines a bean property which is used for sorting of a column Setter for sortExpression

  Parameters:
    `sortExpression` - - new value

### setSortBy

    public void setSortBy(javax.el.ValueExpression __sortBy)

  Attribute defines a bean property which is used for sorting of a column Setter for sortBy

  Parameters:
    `sortBy` - - new value

### setSortOrder

    public void setSortOrder(javax.el.ValueExpression __sortOrder)

  SortOrder is an enumeration of the possible sort orderings. Setter for sortOrder

  Parameters:
    `sortOrder` - - new value

### setSelfSorted

    public void setSelfSorted(javax.el.ValueExpression __selfSorted)

  Setter for selfSorted

  Parameters:
    `selfSorted` - - new value

### setComparator

    public void setComparator(javax.el.ValueExpression __comparator)

  Setter for comparator

  Parameters:
    `comparator` - - new value

### setFilterBy

    public void setFilterBy(javax.el.ValueExpression __filterBy)

  Setter for filterBy

  Parameters:
    `filterBy` - - new value

### setFilterDefaultLabel

    public void setFilterDefaultLabel(javax.el.ValueExpression __filterDefaultLabel)

  Setter for filterDefaultLabel

  Parameters:
    `filterDefaultLabel` - - new value

### setFilterEvent

    public void setFilterEvent(javax.el.ValueExpression __filterEvent)

  Event for filter input that forces the filtration (default = onchange) Setter for filterEvent

  Parameters:
    `filterEvent` - - new value

### setFilterExpression

    public void setFilterExpression(javax.el.ValueExpression __filterExpression)

  Attribute defines a bean property which is used for filtering of a column Setter for filterExpression

  Parameters:
    `filterExpression` - - new value

### setFilterMethod

    public void setFilterMethod(javax.el.MethodExpression __filterMethod)

  Setter for filterMethod

  Parameters:
    `filterMethod` - - new value

### setFilterValue

    public void setFilterValue(javax.el.ValueExpression __filterValue)

  Setter for filterValue

  Parameters:
    `filterValue` - - new value

### setSortable

    public void setSortable(javax.el.ValueExpression __sortable)

  Boolean attribute. If "true" it's possible to sort the column content after click on the header. Default value is "true" Setter for sortable

  Parameters:
    `sortable` - - new value

### setStyleClass

    public void setStyleClass(javax.el.ValueExpression __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The current value for this component Setter for value

  Parameters:
    `value` - - new value

### setVar

    public void setVar(javax.el.ValueExpression __var)

  A request-scope attribute via which the data object for the current row will be used when iterating Setter for var

  Parameters:
    `var` - - new value

### setWidth

    public void setWidth(javax.el.ValueExpression __width)

  Attribute defines width of column. Default value is "100px". Setter for width

  Parameters:
    `width` - - new value

### setRendered

    public void setRendered(javax.el.ValueExpression rendered)

  Set an override for the rendered attribute.

  Parameters:
    `rendered` - The new value for rendered attribute

### setBinding

    public void setBinding(javax.el.ValueExpression binding)
                    throws javax.servlet.jsp.JspException

  Set the value expression for our component.

  Parameters:
    `binding` - The new value expression
  Throws:
    `javax.servlet.jsp.JspException` - if an error occurs

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Overrides:
    `doAfterBody` in class `javax.faces.webapp.UIComponentClassicTagBase`
  Throws:
    `javax.servlet.jsp.JspException`

### addFacet

    protected void addFacet(java.lang.String name)

  Overrides:
    `addFacet` in class `javax.faces.webapp.UIComponentClassicTagBase`

### doInitBody

    public void doInitBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    `doInitBody` in interface `javax.servlet.jsp.tagext.BodyTag`
  Overrides:
    `doInitBody` in class `javax.faces.webapp.UIComponentClassicTagBase`
  Throws:
    `javax.servlet.jsp.JspException`

### doFinally

    public void doFinally()

  Removes any attributes that this LoopTagSupport set.

  These attributes are intended to support scripting variables with NESTED scope, so we don't want to pollute attribute space by leaving them lying around.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
  Throws:
    `javax.servlet.jsp.JspException`

### getBodyContent

    public javax.servlet.jsp.tagext.BodyContent getBodyContent()

  Overrides:
    `getBodyContent` in class `javax.faces.webapp.UIComponentClassicTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Specified by:
    `setProperties` in class `javax.faces.webapp.UIComponentClassicTagBase`

### hasBinding

    protected boolean hasBinding()

  Specified by:
    `hasBinding` in class `javax.faces.webapp.UIComponentClassicTagBase`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
  Throws:
    `javax.servlet.jsp.JspException`

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pageContext)

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `setPageContext` in class `javax.faces.webapp.UIComponentClassicTagBase`

### getDelims

    protected java.lang.String getDelims()

### getBegin

    public javax.el.ValueExpression getBegin()

  Returns:
    the begin

### setBegin

    public void setBegin(javax.el.ValueExpression begin)

  Parameters:
    `begin` - the begin to set

### getColumns

    public javax.el.ValueExpression getColumns()

  Returns:
    the columns

### setColumns

    public void setColumns(javax.el.ValueExpression columns)

  Parameters:
    `columns` - the columns to set

### getIndex

    public javax.el.ValueExpression getIndex()

  Returns:
    the index

### setIndex

    public void setIndex(javax.el.ValueExpression index)

  Parameters:
    `index` - the index to set

### getEnd

    public javax.el.ValueExpression getEnd()

  Returns:
    the end

### setEnd

    public void setEnd(javax.el.ValueExpression end)

  Parameters:
    `end` - the end to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.